List organizations
Lists MSP and customer organizations managed by this distributor key. Use type=msp or type=customer to filter.
AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Default
1Range
1 <= valuelimit?integer
Default
50Range
1 <= value <= 100type?string
Value in
"msp" | "customer"externalOrganizationId?string
parentOrganizationId?string
Match
^[a-fA-F0-9]{24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.smao.ai/api/distributor/v2/organizations"{
"status": "success",
"organizations": [
{
"id": "string",
"type": "msp",
"name": "string",
"industry": "string",
"timezone": "string",
"channelPartner": "string",
"externalOrganizationId": "string",
"parentOrganizationId": "string",
"status": "active",
"blockedReason": "string",
"ownerEmail": "string",
"externalLicenseId": "string",
"license": {
"id": "string",
"externalLicenseId": "string",
"status": "available",
"owningOrganizationId": "string",
"assignedOrganizationId": "string",
"plan": {
"id": "string",
"slug": "string",
"name": "string",
"commitment": "none",
"currency": "string",
"baseFee": 0
},
"assignedAt": "2019-08-24T14:15:22Z",
"disabledAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
},
"createdAt": "2019-08-24T14:15:22Z"
}
],
"page": 0,
"limit": 0,
"total": 0
}{
"status": "error",
"errorCode": "VALIDATION_ERROR",
"message": "string"
}{
"status": "error",
"errorCode": "VALIDATION_ERROR",
"message": "string"
}{
"status": "error",
"errorCode": "RATE_LIMITED",
"message": "Too many requests for this API key."
}{
"status": "error",
"errorCode": "VALIDATION_ERROR",
"message": "string"
}{
"status": "error",
"errorCode": "RATE_LIMIT_UNAVAILABLE",
"message": "Rate limit storage is unavailable. Try again later."
}